//	Open_Save.h

#ifndef _H_Open_Save
#define	_H_Open_Save

#include "Carbon68kGlue.h"
#ifndef __GNUC__
	#include "StandardFile.h"
	#include "AppleEvents.h"
#endif

typedef Boolean		(*FileFilterCB)(
	StringPtr			fileName, 
	unsigned long		fileSize, 
	OSType				fileType);

OSErr		AEGet1FSSpec(AEDescList *docListP, FSSpec *fsSpecP);

Boolean		GetFileOrFolder(
	Nav_FileSelectType	selectType, 
	StringPtr			promptStr, 
	FSSpec				*documentFSSpec, 
	FileFilterCB		FilterProcP0 = NULL);
	
Boolean		NavSaveFile(StringPtr promptStr, StringPtr defaultStr, FSSpec *fsSpecP);

#endif